Package: io.vertx.groovy.ext.web.handler

## [Groovy] Class ErrorHandler

- io.vertx.groovy.ext.web.handler.ErrorHandler

- All Implemented Interfaces and Traits:
    io.vertx.core.Handler

      @groovy.transform.CompileStatic
      class ErrorHandler
      extends java.lang.Object

  A pretty error handler for rendering error pages.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ErrorHandler (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static ErrorHandler` | `create()` Create an error handler using defaults
    `static ErrorHandler` | `create(java.lang.String errorTemplateName, boolean displayExceptionDetails)` Create an error handler
    `static ErrorHandler` | `create(boolean displayExceptionDetails)` Create an error handler
    `static ErrorHandler` | `create(java.lang.String errorTemplateName)` Create an error handler
    `java.lang.Object` | `getDelegate()`
    `void` | `handle(RoutingContext arg0)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### ErrorHandler(java.lang.Object delegate)

  - ### Method Detail

    - #### static ErrorHandler create()

      Create an error handler using defaults

      Returns:
        the handler

    - #### static ErrorHandler create(java.lang.String errorTemplateName, boolean displayExceptionDetails)

      Create an error handler

      Returns:
        the handler
      Parameters:
        `errorTemplateName` - the error template name - will be looked up from the classpath
        `displayExceptionDetails` - true if exception details should be displayed

    - #### static ErrorHandler create(boolean displayExceptionDetails)

      Create an error handler

      Returns:
        the handler
      Parameters:
        `displayExceptionDetails` - true if exception details should be displayed

    - #### static ErrorHandler create(java.lang.String errorTemplateName)

      Create an error handler

      Returns:
        the handler
      Parameters:
        `errorTemplateName` - the error template name - will be looked up from the classpath

    - #### java.lang.Object getDelegate()

    - #### void handle(RoutingContext arg0)